const SafariaLogo = ({ dark = true }: { dark?: boolean }) => {
  return (
    <svg
      width="113"
      height="41"
      viewBox="0 0 113 41"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M34.4366 10.5717C34.2979 10.4499 34.1273 10.3709 33.9451 10.3441C33.763 10.3172 33.577 10.3437 33.4094 10.4203C33.2417 10.497 33.0996 10.6205 32.9999 10.7762C32.9003 10.9318 32.8473 11.1131 32.8473 11.2982V21.5625C32.8473 23.2754 32.5408 24.4555 31.9278 25.1116C31.3148 25.7677 29.6379 26.0935 26.8838 26.0935H25.4039C24.1254 26.0935 23.1622 25.7501 22.5142 25.0631C21.8662 24.3762 21.5407 23.2695 21.5378 21.743V15.2084C21.5366 13.6034 20.9018 12.0645 19.7729 10.93C18.644 9.79549 17.1134 9.1582 15.5175 9.1582V11.0208L10.7012 10.3779C8.64578 10.0266 6.53291 10.4098 4.72903 11.4612C3.12886 12.4037 1.83464 13.7925 1.00299 15.4594C0.190922 17.1359 -0.138207 19.0075 0.0528729 20.8623C0.201443 22.7066 0.849554 24.4747 1.92684 25.9746C2.98562 27.4271 4.42603 28.554 6.08634 29.2287C7.87496 29.9595 9.81262 30.245 11.7345 30.061C13.5205 29.8901 15.2279 29.2391 16.6777 28.1763C17.3289 29.2167 18.233 30.073 19.3048 30.6642C20.8781 31.5742 22.6701 32.0312 24.4845 31.9852H29.4715C32.6634 31.9852 36.7572 32.2098 38.4429 30.4176C40.1286 28.6255 39.3842 24.9443 39.5156 21.6109V15.0763L34.4366 10.5717ZM14.7731 22.0645C14.0376 22.9451 12.8422 23.4251 11.196 23.5572C10.2661 23.6778 9.32138 23.5982 8.42442 23.3238C7.73456 23.1165 7.11491 22.7219 6.63364 22.1834C6.20159 21.6681 5.94936 21.0247 5.91558 20.3516C5.84421 19.8457 5.90156 19.33 6.08227 18.8525C6.26298 18.3751 6.56115 17.9515 6.94889 17.6215C7.75014 16.9301 8.98923 16.6968 10.6793 16.9213L15.6795 17.5422V18.1631C15.8167 19.9009 15.5145 21.2014 14.7731 22.0645Z"
        fill={dark ? "#212F5A" : "#fff"}
        style={{
          transition: "fill 0.3s",
        }}
      />
      <path
        d="M95.8106 8.78304C95.4622 8.78304 95.1281 8.92222 94.8818 9.16995C94.6355 9.41769 94.4971 9.75369 94.4971 10.104C94.519 14.7804 94.7116 20.6721 94.7116 20.6721C94.7315 21.3592 94.6093 22.043 94.3526 22.68C94.2141 23.0039 94.0115 23.2961 93.7571 23.5387C93.4006 23.8812 92.977 24.1454 92.5134 24.3145C92.0499 24.4835 91.5564 24.5537 91.0644 24.5207H89.4794C89.3683 24.5212 89.2581 24.4997 89.1553 24.4572C89.0526 24.4147 88.9592 24.3521 88.8806 24.273C88.802 24.194 88.7398 24.1001 88.6975 23.9967C88.6553 23.8933 88.6338 23.7826 88.6344 23.6708V9.2498L82.8023 10.6545C82.6178 10.6997 82.4538 10.8059 82.3363 10.956C82.2189 11.106 82.1548 11.2913 82.1543 11.4823V23.6708C82.1549 23.7826 82.1334 23.8933 82.0912 23.9967C82.0489 24.1001 81.9867 24.194 81.9081 24.273C81.8295 24.3521 81.7361 24.4147 81.6334 24.4572C81.5306 24.4997 81.4204 24.5212 81.3093 24.5207H74.4089C74.2822 24.5212 74.157 24.493 74.0426 24.4381C73.9283 24.3831 73.8278 24.3029 73.7486 24.2034C73.6694 24.1038 73.6137 23.9876 73.5855 23.8634C73.5573 23.7391 73.5574 23.6101 73.5857 23.4859L74.3082 20.2714C74.8248 17.9875 74.6482 15.9532 73.7784 14.1684C72.9937 12.4811 71.7329 11.0631 70.1531 10.0908C68.6031 9.15732 66.7992 8.25464 64.899 8.68617C62.8236 9.15292 61.2123 9.15732 59.6667 10.0908C58.1242 11.0195 56.8736 12.3672 56.0589 13.979C55.1834 15.7099 54.7416 17.6296 54.7717 19.5713C54.7636 20.865 55.0153 22.147 55.5116 23.3406C55.5668 23.4694 55.5893 23.61 55.577 23.7498C55.5647 23.8896 55.518 24.0241 55.4411 24.1411C55.3642 24.2582 55.2596 24.3542 55.1366 24.4205C55.0136 24.4867 54.8762 24.5212 54.7366 24.5207H48.8039C48.5798 24.5207 48.3648 24.4311 48.2063 24.2717C48.0479 24.1124 47.9588 23.8962 47.9588 23.6708V11.0992C47.9587 10.9366 47.9121 10.7774 47.8246 10.6405C47.7372 10.5037 47.6125 10.395 47.4655 10.3273C47.3184 10.2596 47.1551 10.2358 46.995 10.2587C46.8349 10.2815 46.6846 10.3501 46.5621 10.4563L41.6364 14.7188C41.5438 14.7979 41.4695 14.8964 41.4188 15.0075C41.3682 15.1186 41.3423 15.2395 41.343 15.3617V28.9504C41.343 30.7118 41.0015 31.9667 40.3272 32.7021C39.7114 33.3655 38.7612 33.7296 37.4769 33.7941C37.3486 33.8022 37.2239 33.8398 37.1124 33.9039C37.0008 33.968 36.9053 34.057 36.8333 34.164L33.8078 38.651C33.7231 38.7788 33.6745 38.9273 33.667 39.0807C33.6596 39.2341 33.6936 39.3866 33.7654 39.5221C33.8373 39.6576 33.9443 39.771 34.0751 39.8502C34.2059 39.9295 34.3556 39.9716 34.5083 39.9721H37.3762C40.7826 39.699 43.3732 38.6789 45.1479 36.9117C46.6561 35.372 47.5702 33.3429 47.7268 31.1873C47.7475 30.9791 47.8446 30.7861 47.9993 30.646C48.1539 30.506 48.355 30.4289 48.5631 30.43H91.0338C92.5474 30.4639 94.0416 30.0818 95.3553 29.3247C96.0266 28.9049 96.5258 28.5703 96.8527 28.3208C96.9946 28.2132 97.1675 28.1551 97.3452 28.1551C97.523 28.1551 97.6959 28.2132 97.8378 28.3208C98.1093 28.5233 98.4946 28.7919 98.985 29.1266C100.413 30.0439 102.086 30.4989 103.779 30.43C106.517 30.43 108.66 29.5772 110.207 27.8716C111.754 26.166 112.647 23.8073 112.886 20.7954C112.889 20.7632 112.889 20.7308 112.886 20.6985L112.755 11.337C112.753 11.1447 112.686 10.9588 112.565 10.8099C112.444 10.661 112.277 10.558 112.09 10.518L106.398 9.26301V20.6853C106.398 22.1296 106.135 23.1336 105.618 23.6928C105.369 23.9682 105.064 24.186 104.723 24.3312C104.382 24.4764 104.014 24.5455 103.644 24.5339C103.295 24.5597 102.946 24.4985 102.626 24.3556C102.307 24.2127 102.028 23.9926 101.813 23.7148C101.414 23.1659 101.214 22.156 101.214 20.6853C101.214 20.6853 100.876 12.7593 100.776 9.67692C100.772 9.53408 100.74 9.39345 100.681 9.26319C100.623 9.13293 100.539 9.01565 100.435 8.91815C100.332 8.82065 100.209 8.74487 100.076 8.69522C99.9429 8.64557 99.8012 8.62303 99.6592 8.62892L95.8106 8.78304ZM67.8763 19.1221L66.9481 23.3053C66.9063 23.4937 66.802 23.6621 66.6524 23.783C66.5028 23.9038 66.3168 23.9699 66.1249 23.9702C64.4348 23.9702 63.1957 23.5695 62.4076 22.7593C61.6195 21.9491 61.2211 20.7117 61.2211 19.0385C61.1951 18.0982 61.3574 17.1623 61.6983 16.2864C61.957 15.6089 62.4038 15.0205 62.9856 14.5911C63.5453 14.2091 64.2095 14.0121 64.8858 14.0274C65.3897 14.0108 65.8899 14.1195 66.342 14.3438C66.7941 14.5681 67.1843 14.901 67.4778 15.3132C68.1054 16.1675 68.2382 17.4371 67.8763 19.1221Z"
        fill={dark ? "#212F5A" : "#fff"}
        style={{
          transition: "fill 0.3s",
        }}
      />
      <path
        d="M30.1844 34.8799C29.8794 34.5648 29.5134 34.3158 29.109 34.1485C28.7047 33.9811 28.2705 33.8988 27.8332 33.9068C27.1397 33.8978 26.4625 34.1191 25.9067 34.5365C26.051 34.6385 26.1859 34.7534 26.3095 34.8799C26.6234 35.1803 26.8722 35.5426 27.0402 35.9442C27.2082 36.3458 27.2919 36.778 27.2859 37.2137C27.2917 37.6489 27.207 38.0804 27.0374 38.4808C26.8677 38.8811 26.6168 39.2414 26.3008 39.5387C26.1764 39.6586 26.0432 39.769 25.9023 39.8689C26.4601 40.2857 27.1384 40.5069 27.8332 40.4986C28.2678 40.505 28.6991 40.4233 29.1016 40.2584C29.5041 40.0935 29.8693 39.8487 30.1757 39.5387C30.4917 39.2414 30.7426 38.8811 30.9123 38.4808C31.0819 38.0804 31.1666 37.6489 31.1608 37.2137C31.1668 36.778 31.0831 36.3458 30.9151 35.9442C30.7471 35.5426 30.4983 35.1803 30.1844 34.8799Z"
        fill="#618BCA"
      />
      <path
        d="M26.3403 37.2155C26.3457 36.7799 26.2618 36.3479 26.0938 35.9463C25.9259 35.5448 25.6774 35.1824 25.3639 34.8817C25.2513 34.7692 25.1298 34.6662 25.0005 34.5735L25.0443 34.5382C24.4066 34.0761 23.6263 33.8568 22.8427 33.9198C22.0592 33.9827 21.3233 34.3236 20.7666 34.8817C20.4578 35.1841 20.2125 35.5456 20.0449 35.9449C19.8773 36.3442 19.791 36.7733 19.791 37.2067C19.791 37.6401 19.8773 38.0691 20.0449 38.4684C20.2125 38.8678 20.4578 39.2293 20.7666 39.5317C21.3243 40.0883 22.0603 40.4279 22.8436 40.49C23.627 40.552 24.4068 40.3326 25.0443 39.8707L25.0005 39.8355C25.1242 39.7457 25.2412 39.6471 25.3508 39.5405C25.6683 39.2441 25.9204 38.8841 26.0909 38.4836C26.2613 38.0831 26.3463 37.6511 26.3403 37.2155Z"
        fill="#618BCA"
      />
      <path
        d="M12.8821 3.18584C12.5756 2.86906 12.2075 2.61917 11.8007 2.45175C11.3939 2.28432 10.9572 2.20295 10.5178 2.2127C9.82424 2.20373 9.14709 2.42505 8.59129 2.84238C8.73457 2.94573 8.86929 3.06059 8.99411 3.18584C9.30797 3.48618 9.55672 3.84853 9.72474 4.25014C9.89277 4.65175 9.97643 5.08395 9.9705 5.51962C9.97623 5.95477 9.89157 6.38633 9.72193 6.78669C9.55229 7.18704 9.30141 7.54736 8.98535 7.8446C8.86095 7.96456 8.72776 8.07496 8.58691 8.17485C9.14467 8.59162 9.82299 8.81283 10.5178 8.80453C10.9523 8.81093 11.3837 8.72923 11.7862 8.56431C12.1886 8.39938 12.5539 8.15461 12.8603 7.8446C13.1763 7.54736 13.4272 7.18704 13.5968 6.78669C13.7665 6.38633 13.8511 5.95477 13.8454 5.51962C13.8513 5.08395 13.7677 4.65175 13.5996 4.25014C13.4316 3.84853 13.1829 3.48618 12.869 3.18584"
        fill="#618BCA"
      />
      <path
        d="M8.98877 5.51925C8.99366 5.08373 8.90951 4.65184 8.74155 4.25038C8.57359 3.84893 8.32541 3.48646 8.01238 3.18546C7.89861 3.07425 7.77717 2.97125 7.64897 2.87723L7.69276 2.842C7.13141 2.42246 6.44802 2.20111 5.74874 2.21232C5.31434 2.20602 4.88324 2.2891 4.48193 2.45644C4.08061 2.62379 3.71755 2.87187 3.41504 3.18546C3.10629 3.48785 2.86089 3.84936 2.69334 4.24868C2.52578 4.648 2.43945 5.07702 2.43945 5.51044C2.43945 5.94386 2.52578 6.37288 2.69334 6.7722C2.86089 7.17151 3.10629 7.53303 3.41504 7.83542C3.71839 8.14758 4.08171 8.39444 4.4829 8.56098C4.88408 8.72751 5.31476 8.81025 5.74874 8.80415C6.44758 8.81243 7.13007 8.59137 7.69276 8.17447L7.64897 8.13925C7.77316 8.04839 7.8916 7.94986 8.00362 7.84422C8.31969 7.54698 8.57057 7.18666 8.74021 6.78631C8.90984 6.38596 8.9945 5.95439 8.98877 5.51925Z"
        fill="#618BCA"
      />
      <path
        d="M62.5031 6.12332C62.1906 5.82649 61.9426 5.4679 61.7746 5.07007C61.6066 4.67224 61.5222 4.24376 61.5267 3.81156C61.5207 3.37522 61.6043 2.94234 61.7723 2.54C61.9403 2.13767 62.1891 1.77455 62.5031 1.47337C62.9661 1.00935 63.5551 0.693186 64.1961 0.564537C64.8372 0.435888 65.5017 0.500482 66.1064 0.75022C66.7111 0.999958 67.229 1.42372 67.5951 1.96833C67.9612 2.51295 68.1592 3.15417 68.1644 3.81156C68.1704 4.24715 68.0854 4.67916 67.9149 5.07965C67.7445 5.48014 67.4923 5.84019 67.1748 6.13653C66.8679 6.44573 66.5025 6.68997 66.1002 6.85484C65.6979 7.0197 65.2668 7.10186 64.8324 7.09646C64.3987 7.10242 63.9683 7.01917 63.5678 6.85183C63.1672 6.68448 62.8049 6.43658 62.5031 6.12332Z"
        fill="#618BCA"
      />
    </svg>
  );
};

export default SafariaLogo;
